Bug 463430 - Implement multiple hook keywords for Job Router
Implement multiple hook keywords for Job Router
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid (Show other bugs)
1.0
All Linux
medium Severity medium
: 1.2
: ---
Assigned To: Robert Rati
Luigi Toscano
: FutureFeature
Depends On:
Blocks: 527551
  Show dependency treegraph
 
Reported: 2008-09-23 09:02 EDT by Robert Rati
Modified: 2009-12-03 04:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Grid enhancement The Job Router now supports multiple hook keywords to the Job Router. The JOB_ROUTER_HOOK_KEYWORD configuration option is used to define the default hook keyword. The hook keyword is used for jobs routed by the job router.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-03 04:19:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2008-09-23 09:02:24 EDT
Description of problem:
The EC2 Enhanced feature uses the Job Router hooks, but only allows 1 set of hooks because it allows only 1 keyword.  It would be nice if the job router could allow multiple hook keywords for multiple sets of hooks and to allow jobs to specify the hook keyword it would like to use.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Robert Rati 2008-09-23 09:16:29 EDT
Basically, the idea is that condor_config only defines 1 keyword, but multiple keyword.hook implementations can be defined and the keyword in condor_config will always be used unless the job specifies a keyword.  The keywords could be non-unique so that a single hook keyword could be used by the job router and the startd/starter hooks.  This would allow some nice linkage between the job router and the job hooks if it is desired.
Comment 2 Robert Rati 2009-02-25 13:51:14 EST
The Job Router now supports multiple hook keywords to the Job Router.  The JOB_ROUTER_HOOK_KEYWORD config option defines the default hook keyword that will be used for jobs that the job router routes, but where the job itself doesn't specify a keyword.
    
Jobs can specify which hook keyword they wish to use by setting:
HookKeyword = "keyword"
in the job submit file.  This will cause the Job Router to use hooks defined thusly:
    
keyword_hook_<hooktype>

Added in condor-7.3.1
Comment 4 Irina Boverman 2009-10-28 13:53:34 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
The Job Router now supports multiple hook keywords to the Job Router. The JOB_ROUTER_HOOK_KEYWORD config option defines the default hook keyword
that will be used for jobs that the job router routes (463430)
Comment 5 Lana Brindley 2009-11-03 21:36:10 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,2 +1,4 @@
+Grid enhancement
+
 The Job Router now supports multiple hook keywords to the Job Router. The JOB_ROUTER_HOOK_KEYWORD config option defines the default hook keyword
 that will be used for jobs that the job router routes (463430)
Comment 6 Lana Brindley 2009-11-03 22:23:18 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,4 +1,3 @@
 Grid enhancement
 
-The Job Router now supports multiple hook keywords to the Job Router. The JOB_ROUTER_HOOK_KEYWORD config option defines the default hook keyword
+The Job Router now supports multiple hook keywords to the Job Router. The JOB_ROUTER_HOOK_KEYWORD configuration option is used to define the default hook keyword. The hook keyword is used for jobs routed by the job router.-that will be used for jobs that the job router routes (463430)
Comment 7 Luigi Toscano 2009-11-12 12:59:32 EST
Multiple sets of hooks can be defined. Jobs are correctly routed according to the value of HookKeyword; if not specified, the value of JOB_ROUTER_HOOK_KEYWORD is used.

Tested on RHEL 4.8/5.4, i386/x86_64.
condor-7.4.1-0.5
python-condor-job-hooks-common-1.0-13
condor-job-hooks-1.0-13

Changing the status to VERIFIED.
Comment 9 errata-xmlrpc 2009-12-03 04:19:04 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1633.html

Note You need to log in before you can comment on or make changes to this bug.